Update a workflow
curl --request PATCH \
--url https://app.enzo.health/api/v1/workflows/{workflowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow": {
"version": "1",
"name": "<string>",
"icon": "<string>",
"groups": [
{
"id": "<string>",
"title": "<string>",
"graphCoordinates": {
"x": 123,
"y": 123
},
"blocks": [
{
"id": "<string>",
"type": "text input",
"outgoingEdgeId": "<string>",
"options": {
"labels": {
"placeholder": "<string>",
"button": "<string>"
},
"variableId": "<string>",
"isLong": true
}
}
]
}
],
"folderId": "<string>",
"variables": [
{
"id": "<string>",
"name": "<string>",
"groupId": "<string>",
"isSessionVariable": true,
"value": "<string>"
}
],
"edges": [
{
"id": "<string>",
"from": {
"blockId": "<string>",
"itemId": "<string>"
},
"to": {
"groupId": "<string>",
"blockId": "<string>"
}
}
],
"resultsTablePreferences": {
"columnsOrder": [
"<string>"
],
"columnsVisibility": {},
"columnsWidth": {}
},
"publicId": "<string>",
"isClosed": true,
"events": [
{
"id": "<string>",
"graphCoordinates": {
"x": 123,
"y": 123
},
"type": "start",
"outgoingEdgeId": "<string>"
}
],
"updatedAt": "<string>"
}
}
'import requests
url = "https://app.enzo.health/api/v1/workflows/{workflowId}"
payload = { "workflow": {
"version": "1",
"name": "<string>",
"icon": "<string>",
"groups": [
{
"id": "<string>",
"title": "<string>",
"graphCoordinates": {
"x": 123,
"y": 123
},
"blocks": [
{
"id": "<string>",
"type": "text input",
"outgoingEdgeId": "<string>",
"options": {
"labels": {
"placeholder": "<string>",
"button": "<string>"
},
"variableId": "<string>",
"isLong": True
}
}
]
}
],
"folderId": "<string>",
"variables": [
{
"id": "<string>",
"name": "<string>",
"groupId": "<string>",
"isSessionVariable": True,
"value": "<string>"
}
],
"edges": [
{
"id": "<string>",
"from": {
"blockId": "<string>",
"itemId": "<string>"
},
"to": {
"groupId": "<string>",
"blockId": "<string>"
}
}
],
"resultsTablePreferences": {
"columnsOrder": ["<string>"],
"columnsVisibility": {},
"columnsWidth": {}
},
"publicId": "<string>",
"isClosed": True,
"events": [
{
"id": "<string>",
"graphCoordinates": {
"x": 123,
"y": 123
},
"type": "start",
"outgoingEdgeId": "<string>"
}
],
"updatedAt": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflow: {
version: '1',
name: '<string>',
icon: '<string>',
groups: [
{
id: '<string>',
title: '<string>',
graphCoordinates: {x: 123, y: 123},
blocks: [
{
id: '<string>',
type: 'text input',
outgoingEdgeId: '<string>',
options: {
labels: {placeholder: '<string>', button: '<string>'},
variableId: '<string>',
isLong: true
}
}
]
}
],
folderId: '<string>',
variables: [
{
id: '<string>',
name: '<string>',
groupId: '<string>',
isSessionVariable: true,
value: '<string>'
}
],
edges: [
{
id: '<string>',
from: {blockId: '<string>', itemId: '<string>'},
to: {groupId: '<string>', blockId: '<string>'}
}
],
resultsTablePreferences: {columnsOrder: ['<string>'], columnsVisibility: {}, columnsWidth: {}},
publicId: '<string>',
isClosed: true,
events: [
{
id: '<string>',
graphCoordinates: {x: 123, y: 123},
type: 'start',
outgoingEdgeId: '<string>'
}
],
updatedAt: '<string>'
}
})
};
fetch('https://app.enzo.health/api/v1/workflows/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflow": {
"version": "1",
"groups": [
{
"id": "<string>",
"title": "<string>",
"graphCoordinates": {
"x": 123,
"y": 123
},
"blocks": [
{
"id": "<string>",
"type": "text input",
"outgoingEdgeId": "<string>",
"options": {
"labels": {
"placeholder": "<string>",
"button": "<string>"
},
"variableId": "<string>",
"isLong": true
}
}
]
}
],
"events": [
{
"id": "<string>",
"graphCoordinates": {
"x": 123,
"y": 123
},
"type": "start",
"outgoingEdgeId": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"icon": "<string>",
"edges": [
{
"id": "<string>",
"from": {
"blockId": "<string>",
"itemId": "<string>"
},
"to": {
"groupId": "<string>",
"blockId": "<string>"
}
}
],
"variables": [
{
"id": "<string>",
"name": "<string>",
"groupId": "<string>",
"isSessionVariable": true,
"value": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"folderId": "<string>",
"publicId": "<string>",
"organizationId": "<string>",
"resultsTablePreferences": {
"columnsOrder": [
"<string>"
],
"columnsVisibility": {},
"columnsWidth": {}
},
"isArchived": true,
"isClosed": true
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Workflow
Update a workflow
PATCH
/
v1
/
workflows
/
{workflowId}
Update a workflow
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes